/*******************************************************
 *  Unit test for the date class
 *
 * test if the today() function returns the system date
 ******************************************************
 *
 */

#include "date.h"
#include <assert.h>

int main(int argc, char *argv[])
{
   date d0;

   if (argc == 2)
   {
      String system_date(argv[1]);
      date d1(system_date);

      d0 = today();
      assert(d0 == d1);
   }

   return 0;
}

